MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027970Open CASCADE[OCCT] OCCT:Application Frameworkpublic2016-10-17 11:572017-05-29 16:05
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0027970: Improvement of standard attributes usability - containers
DescriptionCurrent OCAF approach allows to set on the same label only one Attribute of the same type, for example only one TDataStd_RealArray attribute.
It is proposed to remove this limitation by adding so called 'user defined' feature to the attribute. I.e. it is proposed to keep GUID (identifying the attribute) as internal field.

The next list of attributes is supposed to be modified:

TDataStd_RealArray
TDataStd_IntegerArray
TDataStd_BooleanArray
TDataStd_ReferenceArray
TDataStd_ByteArray
TDataStd_ExtStringArray

TDataStd_RealList
TDataStd_IntegerList
TDataStd_BooleanList
TDataStd_ExtStringList
TDataStd_ReferenceList
TDataStd_ListOfByte

TDataStd_IntPackedMap
Steps To ReproduceN/A.
TagsNo tags attached.
Test case numbercaf basic
Attached Files7z file icon data_for_27970.7z (1,079 bytes) 2017-03-07 16:03

- Relationships
related to 0028446verifiedbugmaster Could not retrieve just kept document with Integer attribute 
parent of 0028563closedszy Fixing Document version for improved Containers 

-  Notes
(0063249)
git (administrator)
2017-01-31 12:43

Branch CR27970 has been created by szy.

SHA-1: b75aafacb3c349252da8479c0a9d8fc240306faf


Detailed log of new commits:

Author: szy
Date: Tue Jan 31 12:43:05 2017 +0300

    0027970: Improvement of standard attributes usability - containers.
(0063494)
git (administrator)
2017-02-07 15:03

Branch CR27970 has been updated by szy.

SHA-1: 5e0317d1ae2a44c4e228292208166ac325eb27ee


Detailed log of new commits:

Author: szy
Date: Tue Feb 7 15:03:03 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    New testing scripts integration (test/caf/basic).

(0063703)
mpv (developer)
2017-02-08 17:02

Please, test.
(0063709)
git (administrator)
2017-02-08 17:59

Branch CR27970 has been updated forcibly by apv.

SHA-1: dc2eba3eef3c57d56ec5d8735ec9cd795ab2f45e
(0063710)
apv (tester)
2017-02-08 17:59

Branch CR27970 has been rebased on the current master
(0063711)
git (administrator)
2017-02-08 18:00

Branch CR27970 has been updated forcibly by mkv.

SHA-1: ee5cc8d5747380db4b2658e897c75cf5faa1a2d4
(0063739)
apv (tester)
2017-02-09 17:06
edited on: 2017-02-09 17:06

Dear BugMaster,

Branch CR27970 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ee5cc8d5747380db4b2658e897c75cf5faa1a2d4

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1205

Regressions/Differences:
http://occt-tests/CR27970-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR27970-master-OCCT/Windows-64-VC10/summary.html [^]
caf basic W1, W2, W3, W4, W5, W6, W7, W8, W9, W10, W11
gdt dimensions A1, A2, A3, A4, A5, A6, A7, A8, A9
gdt export A9, B1, B2
gdt import A1, A2, A3, A4, A5
gdt tolerances A1, A2
http://occt-tests/CR27970-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR27970-master-Products/Windows-64-VC10/summary.html [^]
pmivis import places, select

Testing cases:
caf basic - FAILED
http://occt-tests/CR27970-master-OCCT/Debian70-64/summary.html#caf-basic [^]
http://occt-tests/CR27970-master-OCCT/Windows-64-VC10/summary.html#caf-basic [^]

Testing on Linux:
Total MEMORY difference: 92176493 / 91224989 [+1.04%]
Total CPU difference: 19847.09000000038 / 19650.730000000327 [+1.00%]

Testing on Windows:
Total MEMORY difference: 57126085 / 57124391 [+0.00%]
Total CPU difference: 18276.25035469861 / 18512.045866198645 [-1.27%]

There are differences in images found by testdiff:
http://occt-tests/CR27970-master-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27970-master-Products/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
pmivis import nist_ct_08_inch
pmivis import nist_ct_06_inch
pmivis import places
pmivis import duplicate
pmivis import select
pmivis import nist_ct_08_mm
pmivis import nist_ct_06_mm
pmivis import nist_ct_09_mm
pmivis import nist_ctc_04
pmivis import nist_ct_09_inch
pmivis import xcaf
pmivis import nist_ctc_01
pmivis import nist_ctc_03

(0063740)
apv (tester)
2017-02-09 17:08

Dear Sergey,

Branch CR27970 has been rejected due to:
- regressions/differences/improvements
- failed test cases for issue
- differences in images
(0064177)
szy (developer)
2017-03-07 16:05

Added additional data (see the attached file data_for_27970.7z) - to be used for failed cases "caf basic W1, W2, W3, W4, W5, W6, W7, W8, W9, W10, W11".
(0064178)
git (administrator)
2017-03-07 16:15

Branch CR27970_1 has been created by szy.

SHA-1: ac35c4f2061b334612b7888ecebfd0ebbb258715


Detailed log of new commits:

Author: szy
Date: Tue Mar 7 16:15:17 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    Branch with initial data (27970) plus current corrections.
(0064179)
szy (developer)
2017-03-07 16:18

Test it, please.
Use the attached archive with data (*.7z) necessary for testing cases "caf / basic / W1 - W11.
(0064233)
git (administrator)
2017-03-10 12:36

Branch CR27970_1 has been updated by apv.

SHA-1: 954a25f0c35706b0d6153be45b4fe10c7540af55


Detailed log of new commits:

Author: apv
Date: Fri Mar 10 12:36:20 2017 +0300

    Minor corrections in new test cases for the issue

(0064234)
apv (tester)
2017-03-10 13:51
edited on: 2017-03-15 13:46

Dear BugMaster,

Branch CR27970_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ac35c4f2061b334612b7888ecebfd0ebbb258715

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1187

Regressions/Differences:
http://occt-tests/CR27970_1-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR27970_1-master-OCCT/Windows-64-VC10/summary.html [^]
bugs caf bug24164_2

Testing cases:
caf basic - OK
http://occt-tests/CR27970_1-master-OCCT/Debian70-64/summary.html#caf-basic [^]
http://occt-tests/CR27970_1-master-OCCT/Windows-64-VC10/summary.html#caf-basic [^]

Testing on Linux:
Total MEMORY difference: 93018395 / 92345109 [+0.73%]
Total CPU difference: 20017.850000000177 / 19840.8000000004 [+0.89%]

Testing on Windows:
Total MEMORY difference: 57672371 / 57663643 [+0.02%]
Total CPU difference: 18678.95133609855 / 18635.5206576986 [+0.23%]

(0064235)
apv (tester)
2017-03-10 13:52

Dear Sergey,

Branch CR27970_1 has been rejected due to:
- regressions/differences/improvements
(0064285)
git (administrator)
2017-03-13 17:53

Branch CR27970_1 has been updated by szy.

SHA-1: 5c5931c460616fe20613b22f3177e1efe336f1ba


Detailed log of new commits:

Author: szy
Date: Mon Mar 13 17:53:07 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    Minor fix of the Draw command - DDataStd_SetRefArray.

(0064286)
szy (developer)
2017-03-13 17:55

Fixed (minor fix).
test it, please.
(0064338)
apv (tester)
2017-03-15 13:45

Dear BugMaster,

Branch CR27970_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5c5931c460616fe20613b22f3177e1efe336f1ba

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1194

Regressions/Differences:
Not detected

Testing cases:
caf basic - OK
http://occt-tests/CR27970_1-master-OCCT/Debian70-64/summary.html#caf-basic [^]
http://occt-tests/CR27970_1-master-OCCT/Windows-64-VC10/summary.html#caf-basic [^]

Testing on Linux:
Total MEMORY difference: 92961018 / 92350545 [+0.66%]
Total CPU difference: 20030.77000000019 / 19840.8900000004 [+0.96%]

Testing on Windows:
Total MEMORY difference: 57670239 / 57663643 [+0.01%]
Total CPU difference: 18567.067418898383 / 18635.5206576986 [-0.37%]
(0064410)
git (administrator)
2017-03-17 18:45

Branch CR27970_2 has been created by szy.

SHA-1: c6d3bbed952c3c150d775da4dcd9eac91cc998af


Detailed log of new commits:

Author: szy
Date: Fri Mar 17 18:45:27 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    Consolidated patch. Contains also document version fix.
(0064411)
szy (developer)
2017-03-17 18:48

Reviewed.
Contains in addition to the version CR27970_1 additional fix of document version.
Test it, please once again.
(0064535)
apv (tester)
2017-03-20 15:51

Dear BugMaster,

Branch CR27970_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c6d3bbed952c3c150d775da4dcd9eac91cc998af

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1190

Regressions/Differences:
Not detected

Testing cases:
caf basic - OK
http://occt-tests/CR27970_2-master-OCCT/Debian70-64/summary.html#caf-basic [^]
http://occt-tests/CR27970_2-master-OCCT/Windows-64-VC10/summary.html#caf-basic [^]

Testing on Linux:
Total MEMORY difference: 92917488 / 92535815 [+0.41%]
Total CPU difference: 20176.990000000165 / 20187.16000000011 [-0.05%]

Testing on Windows:
Total MEMORY difference: 57783059 / 57782265 [+0.00%]
Total CPU difference: 18700.838276398525 / 18782.551600198512 [-0.44%]
(0064656)
msv (developer)
2017-03-23 15:30

Please replace tabs with spaces in all newly added code. See coding rules:
https://dev.opencascade.org/doc/overview/html/occt_dev_guides__coding_rules.html#occt_coding_rules_3 [^]
(0064667)
git (administrator)
2017-03-23 18:27

Branch CR27970_3 has been created by szy.

SHA-1: 0670fc74d52bdbfdb752ad72392f1f6d28ec358a


Detailed log of new commits:

Author: szy
Date: Thu Mar 23 18:27:25 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    Correction of formatting only.
(0064668)
szy (developer)
2017-03-23 18:33

Only formatting was changed. It is not necessary to retest.
Compilation is checked.
(0064674)
msv (developer)
2017-03-24 10:53

More remarks to overall development:

src\DDataStd\DDataStd_BasicCommands.cxx
- There is enormous code duplication. Total 22 new commands like the following were added with this patch:
  SetUDIntArray
  GetUDIntArray
At this, there are corresponding commands without 'UD' in the name:
  SetIntArray
  GetIntArray
Two versions differ only by added argument 'guid'. The implementation of new commands is the copy with addition of code processing of new argument.
It is very bad practice. It is better to leave the same set of commands, but add optional argument, like the following.
Was:
  SetIntArray DF entry isDelta From To [elmt1 elmt2 ...]
To do:
  SetIntArray DF entry [-guid <GUID>] isDelta From To [elmt1 elmt2 ...]
This will make usage of commands more clear and uniform.

src\StdLPersistent\StdLPersistent_Data.cxx
- The code of the method FixID() (at 43) looks not optimal. Moreover, it is not needed at all. Such approach is prone to errors: when a new attribute will become having user guid it will be an additional complexity for the developer to update this piece of code. Please use OOP approach. In this case the optimal way is to initialize the field myID of each attribute in its constructor.
- 83-84: why this code is not under condition 'if (aPAttrib)', as it was before the fix? With new code, access violation exception is possible.

src\TDataStd\TDataStd_BooleanArray.cxx
and other attributes cxx files (total 11 files)
- The methods 'Set(label, lower, upper)' and 'Set(label, guid, lower, upper)' have the same implementation with exception of guid. Please make the first method simply calling the second one:
  Set(label, GetID(), lower, upper);
(0064675)
oan (developer)
2017-03-24 11:48

DC,

I have just had a look at the commit for the pure interest only.

I have noticed that there are quite similar code parts in each driver class, e.g. BinMDataStd_BooleanArrayDriver:

//-------------------------------------------------------------------------
if(BinMDataStd::DocumentVersion() > 9) { // process user defined guid
  const Standard_Integer& aPos = theSource.Position();
  Standard_GUID aGuid;
  Standard_Boolean ok = theSource >> aGuid;
  if (!ok) {
    theSource.SetPosition(aPos);
    anAtt->SetID(TDataStd_BooleanArray::GetID());
    ok = Standard_True;
  } else {
    anAtt->SetID(aGuid);
  }
} else
   anAtt->SetID(TDataStd_BooleanArray::GetID());
//-------------------------------------------------------------------------

...and...

//-------------------------------------------------------------------------
// process user defined guid
if(anAtt->ID() != TDataStd_BooleanArray::GetID())
  theTarget << anAtt->ID();
//-------------------------------------------------------------------------

I suggest to create a template methods of base class or separate template functions implementing common functionality and taking type of container as template parameter, i.e. something like this:

template<class ContainerType>
Standard_Boolean processUDGuid(const BinObjMgt_Persistent& theSource, Handle(T)& anAtt)
{
Standard_Boolean ok = Standard_True;
if(BinMDataStd::DocumentVersion() > 9) { // process user defined guid
  const Standard_Integer& aPos = theSource.Position();
  Standard_GUID aGuid;
  ok = theSource >> aGuid;
  if (!ok) {
    theSource.SetPosition(aPos);
    anAtt->SetID(ContainerType::GetID());
    ok = Standard_True;
  } else {
    anAtt->SetID(aGuid);
  }
} else
   anAtt->SetID(ContainerType::GetID());

return ok;
}

template<class ContainerType>
Standard_Boolean processUDGuid(BinObjMgt_Persistent& theTarget, Handle(T)& anAtt)
{
if(anAtt->ID() != ContainerType::GetID())
  theTarget << anAtt->ID();
}


I hope this could help to simplify code.

Best regards.
(0064676)
oan (developer)
2017-03-24 11:59

For container classes from TDataStd it would probably be useful to introduce intermediate class-wrapper for TDF_Attribute defining "Standard_GUID myID;" field with related common operations. Then use this class as a parent for containers instead of TDF_Attribute.

This also could help to eliminate code duplications and ease further maintenance.
(0064860)
szy (developer)
2017-04-03 14:01

Hi Mikhail,
See below mu answers.
1)src\DDataStd\DDataStd_BasicCommands.cxx
- There is enormous code duplication...

A1. It was done especially to avoid unnecessary complex logic of testing command.
    I think that the goal of the testing command (it is not a public API to be dedicated for end user. It mainly dedicated for internal usage) is to be as much as possible: a)simple d)easy for maintenance c)perform exactly the task it is responsible for. In case if I will follow your approach (several optional parameters located at different points of command line: SetIntArray DF entry [-guid <GUID>] isDelta From To [elmt1 elmt2 ...]) will lead to sophisticated logic and it will increase as cost of development of the command as cost of maintenance. I believe it is extra as it doesn't give sufficient benefit.

2)"src\StdLPersistent\StdLPersistent_Data.cxx
- The code of the method FixID() (at 43) looks not optimal...
In this case the optimal way is to initialize the field myID of each attribute in its constructor..."

A2. The specified by you "optimal way" can't be used because it leads to a bug. It was confirmed during testing of numerical attributes and it was the reason why initial initialization of myID in constructor was removed.

3)."src\TDataStd\TDataStd_BooleanArray.cxx
and other attributes cxx files (total 11 files)
- The methods 'Set(label, lower, upper)' and 'Set(label, guid, lower, upper)' have the same implementation with exception of guid. Please make the first method simply calling the second one:
  Set(label, GetID(), lower, upper);"

A3. The specified notation is not applicable. GetID() returns GUID (static) of the previous version of the attribute. We should keep compatibility with previous notation (3 input parameters) and provide the possibility to set explicitly the user defined GUID. It was the reason why two different methods were used.
(0064866)
msv (developer)
2017-04-03 16:15

Please consider our conversation.
(0065239)
git (administrator)
2017-04-14 17:50

Branch CR27970_4 has been created by szy.

SHA-1: be4ece9f4cbd8d8c0b63117a7dba92f763ad037e


Detailed log of new commits:

Author: szy
Date: Fri Apr 14 17:50:07 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    //Fixing recent review remarks.
(0065240)
szy (developer)
2017-04-14 17:55

Code was redesigned taking into account recent review remarks.
(0065256)
msv (developer)
2017-04-17 12:50

Remarks:

src/BinMDataStd/BinMDataStd.hxx
- Make the argument anAtt of the method SetAttributeID "const Handle(T)&", as the handle itself is not going to be modified.
- line 81 is not needed.

src/TDF/TDF_CopyTool.cxx
- 165-177: remove the commented code.

src/TDataStd/TDataStd_BooleanArray.cxx
src/TDataStd/TDataStd_BooleanList.cxx
src/TDataStd/TDataStd_ByteArray.cxx
src/TDataStd/TDataStd_ExtStringArray.cxx
src/TDataStd/TDataStd_ExtStringList.cxx
src/TDataStd/TDataStd_IntegerArray.cxx
src/TDataStd/TDataStd_IntegerList.cxx
src/TDataStd/TDataStd_RealArray.cxx
src/TDataStd/TDataStd_RealList.cxx
src/TDataStd/TDataStd_ReferenceArray.cxx
src/TDataStd/TDataStd_ReferenceList.cxx
- Why is the global method SetAttr introduced? Its content is the same as of the previous version of the method TDataStd_BooleanArray::Set with guid. I propose to return the previous definition of this method and to call it directly from the method Set (which is without guid).

src/TDataStd/TDataStd_ByteArray.cxx
src/TDataStd/TDataStd_IntegerArray.cxx
src/TDataStd/TDataStd_RealArray.cxx
src/TDataStd/TDataStd_ReferenceArray.cxx
- Implementation of the method SetAttr is not safe. The method "Init (lower, upper)" is to be called for the existing attribute with different limits.

src\StdLPersistent\StdLPersistent_Data.cxx
- I propose to get rid of the method FixID. Instead of it, it is needed to define one more virtual method SetID (without arguments) on the level of TDF_Attribute. It will have empty implementation. And for each attribute having User ID feature redefine it with simple calling "SetID(GetID())". Then instead of calling FixID in the method FillLabel just call "anAtt->SetID()".

src/DDataStd/DDataStd_BasicCommands.cxx
- Remove commented code 4307-5203.

src\XmlMDataStd\XmlMDataStd_BooleanArrayDriver.cxx
src\XmlMDataStd\XmlMDataStd_BooleanListDriver.cxx
src\XmlMDataStd\XmlMDataStd_ByteArrayDriver.cxx
src\XmlMDataStd\XmlMDataStd_ExtStringArrayDriver.cxx
src\XmlMDataStd\XmlMDataStd_ExtStringListDriver.cxx
src\XmlMDataStd\XmlMDataStd_IntegerArrayDriver.cxx
src\XmlMDataStd\XmlMDataStd_IntegerListDriver.cxx
src\XmlMDataStd\XmlMDataStd_RealArrayDriver.cxx
src\XmlMDataStd\XmlMDataStd_RealListDriver.cxx
src\XmlMDataStd\XmlMDataStd_ReferenceArrayDriver.cxx
src\XmlMDataStd\XmlMDataStd_ReferenceListDriver.cxx
- Downcast is not needed in the code like this:
  Handle(TDataStd_BooleanArray)::DownCast(theTarget)->SetID(aGUID);
(0065425)
apv (tester)
2017-04-21 15:35

Testing results are out-of-date and will be deleted soon.
(0065789)
git (administrator)
2017-05-05 17:25

Branch CR27970_5 has been created by szy.

SHA-1: f9ee91d0c43f898b4460afbe6cc968ec076c8ed1


Detailed log of new commits:

Author: szy
Date: Fri May 5 17:24:48 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    //all remarks dated by 2017-04-17 are fixed.
(0065803)
msv (developer)
2017-05-10 15:44

Remarks to CR27970_5:

src/TDF/TDF_Attribute.hxx
- 148: misprint "to be used fo attributes"

src/TDataStd/TDataStd_ByteArray.hxx
src/TDataStd/TDataStd_ExtStringArray.hxx
src/TDataStd/TDataStd_IntegerArray.hxx
src/TDataStd/TDataStd_RealArray.hxx
- inexistent file *.lxx is included. Since we had got rid of cdl extractor we do not need lxx files any more. It is better to define bodies of inline methods just in class declaration.

src/DDataStd/DDataStd_BasicCommands.cxx
- 858: extra '\n' in the beginning of message has been added.
(0065849)
git (administrator)
2017-05-11 17:50

Branch CR27970_6 has been created by szy.

SHA-1: f375cf7aa746e208453f62686d33cd14c715a445


Detailed log of new commits:

Author: szy
Date: Thu May 11 17:37:44 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    //all remarks dated by 017-05-10 are fixed.
(0065850)
szy (developer)
2017-05-11 17:54

Review once again, please.
(0065863)
msv (developer)
2017-05-12 09:41

Reviewed.
(0066055)
mkv (tester)
2017-05-12 19:40

Dear BugMaster,
Branch CR27970_6 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f375cf7aa746e208453f62686d33cd14c715a445

Number of compiler warnings:

occt component :
Linux: 6 (0 on master)
Windows: 0 (0 on master)
MacOS :

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS :

There are new additional compilation warnings on Linux platform:
http://jenkins-test-05.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_26502/job/CR27970_6-master-OCCT-Debian70-64-opt-compile/1/warnings19Result/ [^]
DDataStd_BasicCommands.cxx:534, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around '&&' within '||' [-Wparentheses]
DDataStd_BasicCommands.cxx:784, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around '&&' within '||' [-Wparentheses]
DDataStd_BasicCommands.cxx:1219, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around '&&' within '||' [-Wparentheses]
DDataStd_BasicCommands.cxx:1554, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around '&&' within '||' [-Wparentheses]
DDataStd_BasicCommands.cxx:1653, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around '&&' within '||' [-Wparentheses]
DDataStd_BasicCommands.cxx:4080, GNU C Compiler 4 (gcc), Priority: Normal
suggest parentheses around '&&' within '||' [-Wparentheses]

There are compilation errors on MacOS platform:
http://jenkins-test-05.nnov.opencascade.com:8080/view/CR27970_6-master/job/CR27970_6-master-OCCT-MacOS-opt-compile/1/parsed_console/ [^]

/Users/mnt/builds/CR27970_6-master/MacOS-opt/OCCT/src/BinMDataStd/BinMDataStd.hxx:76:19: error: variable has incomplete type 'Standard_GUID'
    Standard_GUID aGuid;
                  ^
/Users/mnt/builds/CR27970_6-master/MacOS-opt/OCCT/src/Standard/Standard.hxx:26:7: note: forward declaration of 'Standard_GUID'
class Standard_GUID;
      ^
1 error generated.

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27970_6-master-OCCT/Debian70-64/summary.html#caf-basic [^]
http://occt-tests/CR27970_6-master-OCCT/Windows-64-VC10/summary.html#caf-basic [^]
caf basic - OK

Testing on Linux:
occt component :
Total MEMORY difference: 92194141 / 91606271 [+0.64%]
Total CPU difference: 18716.48000000034 / 18729.15000000028 [-0.07%]
products component :
Total MEMORY difference: 31235530 / 31317049 [-0.26%]
Total CPU difference: 5385.089999999973 / 5416.239999999973 [-0.58%]
Testing on Windows:
occt component :
Total MEMORY difference: 58425643 / 58426118 [-0.00%]
Total CPU difference: 17520.534710398653 / 17351.788428698845 [+0.97%]
products component :
Total MEMORY difference: 22693078 / 22655560 [+0.17%]
Total CPU difference: 5389.553748199976 / 5279.479442599965 [+2.08%]

There are no differences in images found by testdiff.
(0066056)
mkv (tester)
2017-05-12 19:41

Dear szy,
Branch CR27970_6 has been rejected due to:
- new additional compilation warnings
- compilation errors
(0066221)
git (administrator)
2017-05-17 17:38

Branch CR27970_7 has been created by szy.

SHA-1: 89b159bfa5a8b704330f026e1ee8a055b6841b03


Detailed log of new commits:

Author: szy
Date: Wed May 17 16:53:36 2017 +0300

    27970: Improvement of standard attributes usability - containers.
    
    //compilation warnings on Linux and errors on MacOS are fixed.
(0066222)
szy (developer)
2017-05-17 18:04

Reviewed.
Test it, please.
(0066272)
mkv (tester)
2017-05-18 14:44

Dear BugMaster,
Branch CR27970_7 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 89b159bfa5a8b704330f026e1ee8a055b6841b03

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS :

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS :

There are compilation errors on MacOS platform:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27970_7-master/job/CR27970_7-master-OCCT-MacOS-opt-compile/1/parsed_console/ [^]

/Users/mnt/builds/CR27970_7-master/MacOS-opt/OCCT/src/BinMDataStd/BinMDataStd.hxx:76:19: error: variable has incomplete type 'Standard_GUID'
    Standard_GUID aGuid;
                  ^
/Users/mnt/builds/CR27970_7-master/MacOS-opt/OCCT/src/Standard/Standard.hxx:26:7: note: forward declaration of 'Standard_GUID'
class Standard_GUID;
      ^
[ 8%] Building CXX object src/TKBinL/CMakeFiles/TKBinL.dir/__/BinMDataStd/BinMDataStd_BooleanArrayDriver.cxx.o
1 error generated.
(0066273)
mkv (tester)
2017-05-18 14:44

Dear szy,
Branch CR27970_7 has been rejected due to:
- compilation errors
(0066299)
git (administrator)
2017-05-19 10:41

Branch CR27970_8 has been created by szy.

SHA-1: bdfe9cbffb72d8616f346f0d8b325dcae6b379fd


Detailed log of new commits:

Author: szy
Date: Fri May 19 10:40:15 2017 +0300

    0027970: Fixing compilation errors on Mac OS.
    
    //Standard.hxx and BinMDataStd.hxx are fixed.
(0066300)
szy (developer)
2017-05-19 10:44

Fixed. Review, please.
(0066411)
mkv (tester)
2017-05-22 17:22
edited on: 2017-05-22 17:24

Dear BugMaster,
Branch CR27970_8 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: bdfe9cbffb72d8616f346f0d8b325dcae6b379fd

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 28 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1191

There are new additional compilation warning on MacOS platform:

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27970_8-master-OCCT-MacOS-opt-compile/1/warnings9Result/ [^]

TDataStd_AsciiString.hxx:65, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_BooleanArray.hxx:64, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_BooleanArray.hxx:67, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_BooleanList.hxx:88, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_BooleanList.hxx:91, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ByteArray.hxx:74, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ByteArray.hxx:77, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ExtStringArray.hxx:76, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ExtStringArray.hxx:79, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ExtStringList.hxx:68, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ExtStringList.hxx:71, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_Integer.hxx:64, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_IntegerArray.hxx:77, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_IntegerArray.hxx:80, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_IntegerList.hxx:67, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_IntegerList.hxx:70, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_Name.hxx:84, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_Real.hxx:75, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_RealArray.hxx:72, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_RealArray.hxx:75, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_RealList.hxx:68, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_RealList.hxx:71, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ReferenceArray.hxx:67, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ReferenceArray.hxx:70, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ReferenceList.hxx:68, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_ReferenceList.hxx:71, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'
TDataStd_UAttribute.hxx:53, Clang (LLVM based), Priority: Normal
'SetID' overrides a member function but is not marked 'override'

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27970_8-master-OCCT/Debian70-64/summary.html#caf-basic [^]
http://occt-tests/CR27970_8-master-OCCT/Windows-64-VC10/summary.html#caf-basic [^]
caf basic - OK

Testing on Linux:
occt component :
Total MEMORY difference: 91927470 / 91699649 [+0.25%]
Total CPU difference: 18926.9600000003 / 18651.91000000036 [+1.47%]
products component :
Total MEMORY difference: 31226171 / 31317049 [-0.29%]
Total CPU difference: 5403.689999999983 / 5416.239999999973 [-0.23%]
Testing on Windows:
occt component :
Total MEMORY difference: 58428400 / 58426407 [+0.00%]
Total CPU difference: 17222.744401498676 / 17338.309942298663 [-0.67%]
products component :
Total MEMORY difference: 22693899 / 22655560 [+0.17%]
Total CPU difference: 5298.807966499962 / 5279.479442599965 [+0.37%]

There are no differences in images found by testdiff.

(0066412)
mkv (tester)
2017-05-22 17:24

Dear szy,
Branch CR27970_8 has been rejected due to:
- new additional compilation warnings
(0066441)
git (administrator)
2017-05-23 11:23

Branch CR27970_9 has been created by szy.

SHA-1: 3cc550cbb18b7b49b6e268069b923e887c52e1e0


Detailed log of new commits:

Author: szy
Date: Tue May 23 11:23:20 2017 +0300

    0027970: Fixing new compilation errors on Mac OS.
    
    //TDataStd package is impacted (mainly *.hxx)
(0066442)
szy (developer)
2017-05-23 11:25

Fixed.
Review, please.
(0066453)
git (administrator)
2017-05-23 12:38

Branch CR27970_6 has been updated forcibly by mkv.

SHA-1: 4768428b10459674ba108a5667d3c0dca945060e
(0066456)
git (administrator)
2017-05-23 12:48

Branch CR27970_7 has been updated forcibly by mkv.

SHA-1: 7372b06e483b09030a8bb6c82143d944e0a607a2
(0066464)
git (administrator)
2017-05-23 13:24

Branch CR27970_9 has been updated forcibly by mkv.

SHA-1: 515ad1a523db8446ed7bada684d7b570adf41f1a
(0066527)
mkv (tester)
2017-05-24 15:03
edited on: 2017-05-24 15:04

Dear BugMaster,
Branch CR27970_9 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 515ad1a523db8446ed7bada684d7b570adf41f1a

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1195

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27970_9-master-OCCT/Debian70-64/summary.html#caf-basic [^]
http://occt-tests/CR27970_9-master-OCCT/Windows-64-VC10/summary.html#caf-basic [^]
caf basic - OK

Testing on Linux:
occt component :
Total MEMORY difference: 91849763 / 91664313 [+0.20%]
Total CPU difference: 19031.440000000235 / 18660.720000000343 [+1.99%]
products component :
Total MEMORY difference: 31278709 / 31347866 [-0.22%]
Total CPU difference: 5435.29999999998 / 5401.239999999972 [+0.63%]
Testing on Windows:
occt component :
Total MEMORY difference: 58429210 / 58426283 [+0.01%]
Total CPU difference: 17635.445046998724 / 17319.43382129878 [+1.82%]
products component :
Total MEMORY difference: 22719597 / 22681228 [+0.17%]
Total CPU difference: 5389.210545999967 / 5370.256424499971 [+0.35%]

There are no differences in images found by testdiff.

(0066528)
mkv (tester)
2017-05-24 15:03

Dear BugMaster,
Branch CR27970_9 is TESTED.
(0066734)
git (administrator)
2017-05-29 16:05

Branch CR27970 has been deleted by kgv.

SHA-1: ee5cc8d5747380db4b2658e897c75cf5faa1a2d4
(0066735)
git (administrator)
2017-05-29 16:05

Branch CR27970_1 has been deleted by kgv.

SHA-1: 5c5931c460616fe20613b22f3177e1efe336f1ba
(0066736)
git (administrator)
2017-05-29 16:05

Branch CR27970_2 has been deleted by kgv.

SHA-1: c6d3bbed952c3c150d775da4dcd9eac91cc998af
(0066737)
git (administrator)
2017-05-29 16:05

Branch CR27970_3 has been deleted by kgv.

SHA-1: 0670fc74d52bdbfdb752ad72392f1f6d28ec358a
(0066738)
git (administrator)
2017-05-29 16:05

Branch CR27970_4 has been deleted by kgv.

SHA-1: be4ece9f4cbd8d8c0b63117a7dba92f763ad037e
(0066739)
git (administrator)
2017-05-29 16:05

Branch CR27970_5 has been deleted by kgv.

SHA-1: f9ee91d0c43f898b4460afbe6cc968ec076c8ed1
(0066740)
git (administrator)
2017-05-29 16:05

Branch CR27970_6 has been deleted by kgv.

SHA-1: 4768428b10459674ba108a5667d3c0dca945060e
(0066741)
git (administrator)
2017-05-29 16:05

Branch CR27970_7 has been deleted by kgv.

SHA-1: 7372b06e483b09030a8bb6c82143d944e0a607a2
(0066742)
git (administrator)
2017-05-29 16:05

Branch CR27970_8 has been deleted by kgv.

SHA-1: bdfe9cbffb72d8616f346f0d8b325dcae6b379fd
(0066743)
git (administrator)
2017-05-29 16:05

Branch CR27970_9 has been deleted by kgv.

SHA-1: 515ad1a523db8446ed7bada684d7b570adf41f1a

- Related Changesets
occt: master 8924d24d
Timestamp: 2017-05-11 14:37:44
Author: szy
Committer: bugmaster
Details ] Diff ]
27970: Improvement of standard attributes usability - containers.
mod - src/TDataStd/TDataStd_RealList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.hxx Diff ] File ]
add - tests/caf/basic/W4 Diff ] File ]
add - tests/caf/basic/O5 Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.cxx Diff ] File ]
mod - tests/bugs/caf/bug2932_2 Diff ] File ]
add - tests/caf/basic/W3 Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Datum.cxx Diff ] File ]
add - tests/caf/basic/U5 Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.hxx Diff ] File ]
add - tests/caf/basic/D5 Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringListDriver.cxx Diff ] File ]
add - tests/caf/basic/D4 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/Q6 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/TDF/TDF_CopyTool.cxx Diff ] File ]
mod - tests/caf/bugs/D1 Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceListDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.hxx Diff ] File ]
mod - src/Standard/Standard_GUID.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceListDriver.cxx Diff ] File ]
add - tests/caf/basic/S6 Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealListDriver.cxx Diff ] File ]
add - tests/caf/basic/W7 Diff ] File ]
add - tests/caf/basic/W5 Diff ] File ]
add - tests/caf/basic/D6 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.hxx Diff ] File ]
add - tests/caf/basic/S7 Diff ] File ]
add - tests/caf/basic/U7 Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.cxx Diff ] File ]
mod - src/Standard/Standard.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/V7 Diff ] File ]
add - tests/caf/basic/W1 Diff ] File ]
add - tests/caf/basic/C5 Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.hxx Diff ] File ]
add - tests/caf/basic/M7 Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.lxx Diff ] File ]
add - tests/caf/basic/C6 Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.hxx Diff ] File ]
add - tests/caf/basic/V5 Diff ] File ]
add - tests/caf/basic/O7 Diff ] File ]
add - tests/caf/basic/Q7 Diff ] File ]
add - tests/caf/basic/R5 Diff ] File ]
add - tests/caf/basic/W10 Diff ] File ]
mod - src/TDataStd/TDataStd_Name.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Data.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.cxx Diff ] File ]
add - tests/caf/basic/M6 Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.hxx Diff ] File ]
add - tests/caf/basic/T6 Diff ] File ]
add - tests/caf/basic/W2 Diff ] File ]
add - tests/caf/basic/W6 Diff ] File ]
add - tests/caf/basic/O6 Diff ] File ]
add - tests/caf/basic/V6 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/T7 Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.cxx Diff ] File ]
add - tests/caf/basic/W9 Diff ] File ]
add - tests/caf/basic/T5 Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd.hxx Diff ] File ]
add - tests/caf/basic/U6 Diff ] File ]
add - tests/caf/basic/D7 Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.hxx Diff ] File ]
add - tests/caf/basic/Q5 Diff ] File ]
add - tests/caf/basic/P6 Diff ] File ]
mod - src/TDataStd/TDataStd_Name.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.hxx Diff ] File ]
add - tests/caf/basic/M5 Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.cxx Diff ] File ]
add - tests/caf/basic/C4 Diff ] File ]
add - tests/caf/basic/P7 Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/R6 Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanListDriver.cxx Diff ] File ]
add - tests/caf/basic/S5 Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.cxx Diff ] File ]
add - tests/caf/basic/W8 Diff ] File ]
add - tests/caf/basic/R7 Diff ] File ]
add - tests/caf/basic/W11 Diff ] File ]
mod - src/TDataStd/TDataStd_Real.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_UAttribute.hxx Diff ] File ]
add - tests/caf/basic/P5 Diff ] File ]
occt: master 5a1271c8
Timestamp: 2017-05-11 14:37:44
Author: szy
Committer: bugmaster
Details ] Diff ]
0027970: Improvement of standard attributes usability - containers.
mod - src/TDataStd/TDataStd_Real.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.hxx Diff ] File ]
add - tests/caf/basic/W4 Diff ] File ]
add - tests/caf/basic/O5 Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.cxx Diff ] File ]
mod - tests/bugs/caf/bug2932_2 Diff ] File ]
add - tests/caf/basic/W3 Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Datum.cxx Diff ] File ]
add - tests/caf/basic/U5 Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.hxx Diff ] File ]
add - tests/caf/basic/D5 Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringListDriver.cxx Diff ] File ]
add - tests/caf/basic/D4 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/Q6 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/TDF/TDF_CopyTool.cxx Diff ] File ]
mod - tests/caf/bugs/D1 Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceListDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.hxx Diff ] File ]
mod - src/Standard/Standard_GUID.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceListDriver.cxx Diff ] File ]
add - tests/caf/basic/S6 Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealListDriver.cxx Diff ] File ]
add - tests/caf/basic/W7 Diff ] File ]
add - tests/caf/basic/W5 Diff ] File ]
add - tests/caf/basic/D6 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.hxx Diff ] File ]
add - tests/caf/basic/S7 Diff ] File ]
add - tests/caf/basic/U7 Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.cxx Diff ] File ]
mod - src/Standard/Standard.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/V7 Diff ] File ]
add - tests/caf/basic/W1 Diff ] File ]
add - tests/caf/basic/C5 Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.hxx Diff ] File ]
add - tests/caf/basic/M7 Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.lxx Diff ] File ]
add - tests/caf/basic/C6 Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.hxx Diff ] File ]
add - tests/caf/basic/V5 Diff ] File ]
add - tests/caf/basic/O7 Diff ] File ]
add - tests/caf/basic/Q7 Diff ] File ]
add - tests/caf/basic/R5 Diff ] File ]
add - tests/caf/basic/W10 Diff ] File ]
mod - src/TDataStd/TDataStd_Name.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Data.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.cxx Diff ] File ]
add - tests/caf/basic/M6 Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.hxx Diff ] File ]
add - tests/caf/basic/T6 Diff ] File ]
add - tests/caf/basic/W2 Diff ] File ]
add - tests/caf/basic/W6 Diff ] File ]
add - tests/caf/basic/O6 Diff ] File ]
add - tests/caf/basic/V6 Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/T7 Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.cxx Diff ] File ]
add - tests/caf/basic/W9 Diff ] File ]
add - tests/caf/basic/T5 Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd.hxx Diff ] File ]
add - tests/caf/basic/U6 Diff ] File ]
add - tests/caf/basic/D7 Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.hxx Diff ] File ]
add - tests/caf/basic/Q5 Diff ] File ]
add - tests/caf/basic/P6 Diff ] File ]
mod - src/TDataStd/TDataStd_Name.cxx Diff ] File ]
add - tests/caf/basic/M5 Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.cxx Diff ] File ]
add - tests/caf/basic/C4 Diff ] File ]
add - tests/caf/basic/P7 Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
add - tests/caf/basic/R6 Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanListDriver.cxx Diff ] File ]
add - tests/caf/basic/S5 Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.cxx Diff ] File ]
add - tests/caf/basic/W8 Diff ] File ]
add - tests/caf/basic/R7 Diff ] File ]
add - tests/caf/basic/W11 Diff ] File ]
mod - src/TDataStd/TDataStd_Real.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_UAttribute.hxx Diff ] File ]
add - tests/caf/basic/P5 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-17 11:57 szy New Issue
2016-10-17 11:57 szy Assigned To => szy
2016-10-17 11:58 szy Status new => assigned
2016-11-09 11:03 abv Target Version 7.1.0 => 7.2.0*
2017-01-31 12:43 git Note Added: 0063249
2017-02-07 15:03 git Note Added: 0063494
2017-02-07 15:04 szy Assigned To szy => mpv
2017-02-07 15:04 szy Status assigned => resolved
2017-02-07 15:04 szy Steps to Reproduce Updated View Revisions
2017-02-08 17:02 mpv Note Added: 0063703
2017-02-08 17:02 mpv Assigned To mpv => bugmaster
2017-02-08 17:02 mpv Status resolved => reviewed
2017-02-08 17:48 mkv Assigned To bugmaster => mkv
2017-02-08 17:53 apv Assigned To mkv => apv
2017-02-08 17:59 git Note Added: 0063709
2017-02-08 17:59 apv Note Added: 0063710
2017-02-08 18:00 git Note Added: 0063711
2017-02-09 13:00 apv Test case number => caf basic
2017-02-09 14:23 abv Relationship added related to 0028446
2017-02-09 17:06 apv Note Added: 0063739
2017-02-09 17:06 apv Assigned To apv => szy
2017-02-09 17:06 apv Status reviewed => assigned
2017-02-09 17:06 apv Note Edited: 0063739 View Revisions
2017-02-09 17:08 apv Note Added: 0063740
2017-03-07 16:03 szy File Added: data_for_27970.7z
2017-03-07 16:05 szy Note Added: 0064177
2017-03-07 16:15 git Note Added: 0064178
2017-03-07 16:16 szy Status assigned => resolved
2017-03-07 16:18 szy Note Added: 0064179
2017-03-07 16:18 szy Assigned To szy => bugmaster
2017-03-07 16:18 szy Status resolved => reviewed
2017-03-07 19:08 apv Assigned To bugmaster => apv
2017-03-10 12:36 git Note Added: 0064233
2017-03-10 13:51 apv Note Added: 0064234
2017-03-10 13:51 apv Assigned To apv => szy
2017-03-10 13:51 apv Status reviewed => assigned
2017-03-10 13:52 apv Note Added: 0064235
2017-03-13 17:53 git Note Added: 0064285
2017-03-13 17:54 szy Status assigned => resolved
2017-03-13 17:55 szy Note Added: 0064286
2017-03-13 17:55 szy Assigned To szy => apv
2017-03-13 17:55 szy Status resolved => reviewed
2017-03-15 13:45 apv Note Added: 0064338
2017-03-15 13:45 apv Assigned To apv => bugmaster
2017-03-15 13:45 apv Status reviewed => tested
2017-03-15 13:46 apv Note Edited: 0064234 View Revisions
2017-03-16 17:20 bugmaster Assigned To bugmaster => szy
2017-03-16 17:20 bugmaster Status tested => assigned
2017-03-17 08:19 abv Relationship added parent of 0028563
2017-03-17 18:45 git Note Added: 0064410
2017-03-17 18:46 szy Status assigned => resolved
2017-03-17 18:48 szy Note Added: 0064411
2017-03-17 18:48 szy Assigned To szy => apv
2017-03-17 18:48 szy Status resolved => reviewed
2017-03-20 15:51 apv Note Added: 0064535
2017-03-20 15:51 apv Assigned To apv => bugmaster
2017-03-20 15:51 apv Status reviewed => tested
2017-03-23 15:30 msv Note Added: 0064656
2017-03-23 15:30 msv Assigned To bugmaster => szy
2017-03-23 15:30 msv Status tested => assigned
2017-03-23 18:27 git Note Added: 0064667
2017-03-23 18:33 szy Note Added: 0064668
2017-03-23 18:33 szy Assigned To szy => msv
2017-03-23 18:33 szy Status assigned => resolved
2017-03-24 10:53 msv Note Added: 0064674
2017-03-24 10:53 msv Assigned To msv => szy
2017-03-24 10:53 msv Status resolved => assigned
2017-03-24 11:48 oan Note Added: 0064675
2017-03-24 11:59 oan Note Added: 0064676
2017-04-03 14:01 szy Note Added: 0064860
2017-04-03 14:01 szy Assigned To szy => msv
2017-04-03 14:01 szy Status assigned => feedback
2017-04-03 16:15 msv Note Added: 0064866
2017-04-03 16:15 msv Status feedback => assigned
2017-04-14 17:50 git Note Added: 0065239
2017-04-14 17:55 szy Note Added: 0065240
2017-04-14 17:55 szy Assigned To msv => mpv
2017-04-14 17:55 szy Status assigned => resolved
2017-04-17 11:45 mpv Assigned To mpv => msv
2017-04-17 12:50 msv Note Added: 0065256
2017-04-17 12:50 msv Assigned To msv => szy
2017-04-17 12:50 msv Status resolved => assigned
2017-04-21 15:35 apv Note Added: 0065425
2017-05-05 17:25 git Note Added: 0065789
2017-05-05 17:26 szy Assigned To szy => msv
2017-05-05 17:26 szy Status assigned => resolved
2017-05-05 17:26 szy Steps to Reproduce Updated View Revisions
2017-05-05 17:32 szy Steps to Reproduce Updated View Revisions
2017-05-10 15:44 msv Note Added: 0065803
2017-05-10 15:44 msv Assigned To msv => szy
2017-05-10 15:44 msv Status resolved => assigned
2017-05-11 17:50 git Note Added: 0065849
2017-05-11 17:54 szy Note Added: 0065850
2017-05-11 17:54 szy Assigned To szy => msv
2017-05-11 17:54 szy Status assigned => resolved
2017-05-12 09:41 msv Note Added: 0065863
2017-05-12 09:41 msv Assigned To msv => bugmaster
2017-05-12 09:41 msv Status resolved => reviewed
2017-05-12 12:33 mkv Assigned To bugmaster => mkv
2017-05-12 19:40 mkv Note Added: 0066055
2017-05-12 19:41 mkv Note Added: 0066056
2017-05-12 19:41 mkv Assigned To mkv => szy
2017-05-12 19:41 mkv Status reviewed => assigned
2017-05-17 17:38 git Note Added: 0066221
2017-05-17 18:03 szy Status assigned => resolved
2017-05-17 18:04 szy Note Added: 0066222
2017-05-17 18:04 szy Assigned To szy => mkv
2017-05-17 18:04 szy Status resolved => reviewed
2017-05-18 14:44 mkv Note Added: 0066272
2017-05-18 14:44 mkv Note Added: 0066273
2017-05-18 14:44 mkv Assigned To mkv => szy
2017-05-18 14:44 mkv Status reviewed => assigned
2017-05-19 10:41 git Note Added: 0066299
2017-05-19 10:44 szy Note Added: 0066300
2017-05-19 10:44 szy Assigned To szy => vro
2017-05-19 10:44 szy Status assigned => resolved
2017-05-19 11:04 vro Assigned To vro => mkv
2017-05-19 11:04 vro Status resolved => reviewed
2017-05-22 17:22 mkv Note Added: 0066411
2017-05-22 17:24 mkv Note Edited: 0066411 View Revisions
2017-05-22 17:24 mkv Note Added: 0066412
2017-05-22 17:24 mkv Assigned To mkv => szy
2017-05-22 17:24 mkv Status reviewed => assigned
2017-05-23 11:23 git Note Added: 0066441
2017-05-23 11:25 szy Note Added: 0066442
2017-05-23 11:25 szy Assigned To szy => vro
2017-05-23 11:25 szy Status assigned => resolved
2017-05-23 11:59 vro Assigned To vro => bugmaster
2017-05-23 11:59 vro Status resolved => reviewed
2017-05-23 12:00 mkv Assigned To bugmaster => mkv
2017-05-23 12:38 git Note Added: 0066453
2017-05-23 12:48 git Note Added: 0066456
2017-05-23 13:24 git Note Added: 0066464
2017-05-24 15:03 mkv Note Added: 0066527
2017-05-24 15:03 mkv Note Added: 0066528
2017-05-24 15:03 mkv Assigned To mkv => bugmaster
2017-05-24 15:03 mkv Status reviewed => tested
2017-05-24 15:04 mkv Note Edited: 0066527 View Revisions
2017-05-26 14:28 bugmaster Changeset attached => occt master 8924d24d
2017-05-26 14:29 bugmaster Status tested => verified
2017-05-26 14:29 bugmaster Resolution open => fixed
2017-05-26 14:56 bugmaster Changeset attached => occt master 5a1271c8
2017-05-29 16:05 git Note Added: 0066734
2017-05-29 16:05 git Note Added: 0066735
2017-05-29 16:05 git Note Added: 0066736
2017-05-29 16:05 git Note Added: 0066737
2017-05-29 16:05 git Note Added: 0066738
2017-05-29 16:05 git Note Added: 0066739
2017-05-29 16:05 git Note Added: 0066740
2017-05-29 16:05 git Note Added: 0066741
2017-05-29 16:05 git Note Added: 0066742
2017-05-29 16:05 git Note Added: 0066743


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker